Virtual accounts

Get Virtual Account Transactions

List the credits received by a virtual account, together with the total amount received. Only successful inflows credited to this account number are returned.

GET
/api/v1/virtual-account/find-by-reference/{reference}/transactions

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

reference*string

Query Parameters

startDate?string
Formatdate
endDate?string
Formatdate
limit?integer
Default1000
page?integer
Default1

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/virtual-account/find-by-reference/VA_A1B2C3D4E5F6/transactions"
{
  "requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
  "requestTimestamp": "2026-07-20 09:15:00",
  "message": "Virtual account transactions retrieved successfully.",
  "statusCode": 200,
  "data": {
    "totalAmountReceived": {
      "value": 5000,
      "currency": "NGN",
      "formatted": "NGN5000"
    },
    "data": [
      {
        "id": "019a1639-ce25-70b7-ab20-16fcb2bac025",
        "beneficiarySenderName": "John Doe",
        "beneficiarySenderAccountNumber": "0123456789",
        "beneficiarySenderABankName": "GTBank",
        "reference": "TRN_A1B2C3D4E5F6",
        "amount": {
          "value": 5000,
          "currency": "NGN",
          "formatted": "NGN5000"
        },
        "sessionId": "000016250720091500123456789012",
        "type": "credit",
        "currency": "NGN",
        "parentTransactionReference": "TRN_PARENT0001",
        "paymentChannel": "Bank Transfer",
        "balance": {
          "value": 5000,
          "currency": "NGN",
          "formatted": "NGN5000"
        },
        "status": "Successful",
        "createdAt": "2026-07-20 09:15:00"
      }
    ],
    "meta": {
      "current_page": 1,
      "from": 1,
      "last_page": 3,
      "per_page": 50,
      "to": 50,
      "total": 128
    }
  }
}
{
  "requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
  "requestTimestamp": "2026-07-20 09:15:00",
  "message": "Virtual account not found.",
  "statusCode": 404
}
{
  "requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
  "requestTimestamp": "2026-07-20 09:15:00",
  "message": "Virtual account not found.",
  "statusCode": 404
}

How is this guide?

Last updated on